[% setvar title Perl 6 Specification %]

[% menu nav specs %]

<div id="subpage-header">
    [% include camelia %]

    <h2>[% readvar title %]</h2>

    <p>
        The Perl&nbsp;6 specification is developed by a core team around Larry
        Wall, the creator of Perl.
    </p>

    <p>
        Many parts of the language are rather mature, for example the object
        system and large parts of the syntax. Other parts, like concurrency,
        are still in flux, and wait for an implementation to try them
        out.
    </p>
</div>

<div id="col1">
    <ul>
        <li><a href="http://perlcabal.org/syn/">Synopsis</a> - official Perl&nbsp;6 design documents</li>
        <li><a href="http://svn.pugscode.org/pugs/src/perl6/STD.pm6">STD.pm</a> - official Perl&nbsp;6 grammar</li>
        <li><a href="http://perlcabal.org/svn/pugs/browse/t/spec">Official test suite</a></li>
        <li><a href="http://svn.pugscode.org/pugs/misc/camelia.txt">Camelia</a> - the Perl&nbsp;6 mascot (<a href="http://svn.pugscode.org/pugs/misc/camelia.pdf">PDF</a>)</li>
        <li>Incomplete <a href="http://www.dlugosz.com/Perl6/">"Perl&nbsp;6 Rigorous Technical Specification"</a></li>
    </ul>
</div>

<div id="col2">
    <h2>Notes (excerpt from <a href="http://perlcabal.org/syn/S01.html">Synopsis 1</a>)</h2>

    <p>
    The spec will not be frozen prematurely, but will continue to solidify as various aspects of it are proven (or disproven) in various implementations. Many parts of the spec are already effectively frozen, or are in a slushy state. "The future is already here, it's just unevenly distributed."
    </p><p>
All specced features that have not been proven in an implementation should be considered somewhat conjectural, even if not so marked. As implementations start to agree on what is practical and what is not, do not be surprised if some features that are currently specced may be deferred to future versions; these should still be considered long-term direction in the evolution of Perl 6 over time, and the short-term design should be conservative in preserving that long-term evolution. Note that we are not in a hurry to defer any sections of the spec, even if that would give the illusion of progress. Convergence of specs and implementations will happen naturally as we get implementations that are closer to the spec. It is quite likely that the first practical implementation will largely determine which features are considered to be required in 6.0.0.
    </p>
</div>
